﻿// Copyright © Microsoft Corporation.  All Rights Reserved.
// This code released under the terms of the 
// Microsoft Public License (MS-PL, http://opensource.org/licenses/ms-pl.html.)

namespace Microsoft.Expression.Prototyping.Mockups
{
	using System.Windows;

	public class WindowsExplorerMockup : WindowMockup
	{
		public Visibility ShowDetailsPane
		{
			get { return (Visibility)GetValue(ShowDetailsPaneProperty); }
			set { SetValue(ShowDetailsPaneProperty, value); }
		}

		public static readonly DependencyProperty ShowDetailsPaneProperty = DependencyProperty.Register("ShowDetailsPane", typeof(Visibility), typeof(WindowsExplorerMockup), null);

		public WindowsExplorerMockup()
		{
			base.DefaultStyleKey = typeof(WindowsExplorerMockup);
		}
	}
}